# Asterisk Project : Asterisk 13 AGICommand_stream file

Created by wikibot on Aug 08, 2014

# STREAM FILE

### Synopsis

Sends audio file on channel.

### Description

Send the given file, allowing playback to be interrupted by the given digits, if any. Returns `0` if playback completes without a digit being pressed, or the ASCII numerical value of the digit if one was pressed, or `-1` on error or if the channel was disconnected. If musiconhold is playing before calling stream file it will be automatically stopped and will not be restarted after completion.

It sets the following channel variables upon completion:

- `PLAYBACKSTATUS` - The status of the playback attempt as a text string.
  - SUCCESS
  - FAILED

### Syntax

    STREAM FILE FILENAME ESCAPE_DIGITS SAMPLE OFFSET

##### Arguments

- `filename` - File name to play. The file extension must not be included in the filename.
- `escape_digits` - Use double quotes for the digits if you wish none to be permitted.
- `sample offset` - If sample offset is provided then the audio will seek to sample offset before play starts.

### See Also

- Asterisk 13 AGICommand_control stream file

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538